pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType > Class Template Reference

`#include <pcl/recognition/face_detection/face_detector_data_provider.h>`

Inheritance diagram for pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >:

## Public Types

using | Ptr = shared_ptr< FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType > >
using | ConstPtr = shared_ptr< const FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType > >
Public Types inherited from pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >
using | Ptr = shared_ptr< DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType > >
using | ConstPtr = shared_ptr< const DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType > >

## Public Member Functions

| FaceDetectorDataProvider ()
virtual | ~FaceDetectorDataProvider ()
void | setPatchesPerImage (int n)
void | setMinImagesPerBin (int n)
void | setUseNormals (bool use)
void | setWSize (int size)
void | setNumImages (int n)
void | initialize (std::string &data_dir)
void | getDatasetAndLabels (DataSet &data_set, std::vector< LabelType > &label_data, std::vector< ExampleIndex > &examples) override
| Virtual function called to obtain training examples and labels before training a specific tree. More...
Public Member Functions inherited from pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >
| DecisionTreeTrainerDataProvider ()
| Constructor. More...
| ~DecisionTreeTrainerDataProvider ()
| Destructor. More...

## Detailed Description

### template<class FeatureType, class DataSet, class LabelType, class ExampleIndex, class NodeType>
class pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >

Definition at line 28 of file face_detector_data_provider.h.

## Member Typedef Documentation

## ConstPtr

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

using pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::ConstPtr = shared_ptr<const FaceDetectorDataProvider<FeatureType, DataSet, LabelType, ExampleIndex, NodeType> >

Definition at line 114 of file face_detector_data_provider.h.

## Ptr

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

using pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::Ptr = shared_ptr<FaceDetectorDataProvider<FeatureType, DataSet, LabelType, ExampleIndex, NodeType> >

Definition at line 113 of file face_detector_data_provider.h.

## Constructor & Destructor Documentation

## FaceDetectorDataProvider()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::FaceDetectorDataProvider | ( |  | ) |

inline

Definition at line 116 of file face_detector_data_provider.h.

## ~FaceDetectorDataProvider()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

virtual pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::~FaceDetectorDataProvider | ( |  | ) |

inline virtual

Definition at line 125 of file face_detector_data_provider.h.

## Member Function Documentation

## getDatasetAndLabels()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

void pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::getDatasetAndLabels | ( | DataSet & | data_set,
|  | std::vector< LabelType > & | label_data,
|  | std::vector< ExampleIndex > & | examples
| ) |  |

override virtual

Virtual function called to obtain training examples and labels before training a specific tree.

Implements pcl::DecisionTreeTrainerDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >.

## initialize()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

void pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::initialize | ( | std::string & | data_dir | ) |

## setMinImagesPerBin()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

void pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::setMinImagesPerBin | ( | int | n | ) |

inline

Definition at line 135 of file face_detector_data_provider.h.

## setNumImages()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

void pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::setNumImages | ( | int | n | ) |

inline

Definition at line 150 of file face_detector_data_provider.h.

## setPatchesPerImage()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

void pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::setPatchesPerImage | ( | int | n | ) |

inline

Definition at line 130 of file face_detector_data_provider.h.

## setUseNormals()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

void pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::setUseNormals | ( | bool | use | ) |

inline

Definition at line 140 of file face_detector_data_provider.h.

## setWSize()

template<class FeatureType , class DataSet , class LabelType , class ExampleIndex , class NodeType >

void pcl::face_detection::FaceDetectorDataProvider< FeatureType, DataSet, LabelType, ExampleIndex, NodeType >::setWSize | ( | int | size | ) |

inline

Definition at line 145 of file face_detector_data_provider.h.

The documentation for this class was generated from the following file:

- pcl/recognition/face_detection/face_detector_data_provider.h